Bug 15049 - amanda UDP packet size too small
Summary: amanda UDP packet size too small
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: amanda   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-01 19:57 UTC by Frank Ch. Eigler
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-01 20:44:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Ch. Eigler 2000-08-01 19:57:35 UTC
Amanda uses UDP packets to yak between backup servers and clients.  The
default maximum packet size is pretty small (see MAX_DGRAM in
common-src/dgram.h).  It is so small in fact that a client with more than a
couple of dozen backup directories can fail to participate in an amanda
run.  This problem is known to the amanda developers, and as a quick
workaround, they have suggested upping this limit to near the TCP/IP
maximum.  So, consider applying this
pseudo-patch:

common-src/dgram.h:
-#include MAX_DGRAM    8192
+#include MAX_DGRAM    65500

Comment 1 Jeff Johnson 2000-10-12 18:31:57 UTC
Fixed (by upgrade) in amanda-2.4.2-0.19991216beta1.1. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.